=== debian/changelog ===
ros-galactic-irobot-create-nodes (1.0.3-1focal) focal; urgency=high



 -- Ekumen <ekumen@irbt.onmicrosoft.com>  Thu, 05 May 2022 07:00:00 -0000

ros-galactic-irobot-create-nodes (1.0.2-1focal) focal; urgency=high

  * update changelog
  * Contributors: Alberto Soragna

 -- Ekumen <ekumen@irbt.onmicrosoft.com>  Thu, 05 May 2022 07:00:00 -0000

ros-galactic-irobot-create-nodes (1.0.1-1focal) focal; urgency=high

  * add boost as explicit dependency and remove unnneded boost usage (#175 <https://github.com/iRobotEducation/create3_sim/issues/175>)
    * add boost as explicit dependency and remove unnneded boost usage
    * do not search for boost component in Boost library

 -- Ekumen <ekumen@irbt.onmicrosoft.com>  Tue, 12 Apr 2022 07:00:00 -0000

ros-galactic-irobot-create-nodes (1.0.0-1focal) focal; urgency=high

  * Add audio action and move UI elements to ui_mgr node (#172 <https://github.com/iRobotEducation/create3_sim/issues/172>)
    * Add audio notes sequence action and move UI elements from mock to UI mgr node
    * fix linter error
    * add missing yaml file
    * fix flake8 error
  * Removed reliable QoS from subscriptions (#164 <https://github.com/iRobotEducation/create3_sim/issues/164>)
  * Update dependencies for build from source, throttle action feedback, add stub for audio command (#161 <https://github.com/iRobotEducation/create3_sim/issues/161>)
    * Update dependencies for build from source
    * Add stub for cmd_audio and throttle action feedback
    * fix packages from PR feedback
  * Reliable QoS for publishers (#158 <https://github.com/iRobotEducation/create3_sim/issues/158>)
    * reliable QoS for publishers
    * reliable QoS for publishers
    * Fixing tests
  * Split irobot_create_toolbox (#153 <https://github.com/iRobotEducation/create3_sim/issues/153>)
    * rename irobot_create_toolbox into irobot_create_nodes
    * move common utilities to irobot_create_toolbox
    * register irobot_create_nodes as rclcpp_components
    * update readme
    * use new node names in parameter files
    * remove declare parameter utility and fix linter tests
  * Contributors: Alberto Soragna, Justin Kearns, Santti4go, roni-kreinin

 -- Ekumen <ekumen@irbt.onmicrosoft.com>  Thu, 31 Mar 2022 07:00:00 -0000
