=== debian/control ===
Source: ros-galactic-irobot-create-nodes
Section: misc
Priority: optional
Maintainer: Ekumen <ekumen@irbt.onmicrosoft.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-galactic-ament-cmake, ros-galactic-ament-cmake-cppcheck <!nocheck>, ros-galactic-ament-cmake-cpplint <!nocheck>, ros-galactic-ament-cmake-flake8 <!nocheck>, ros-galactic-ament-cmake-lint-cmake <!nocheck>, ros-galactic-ament-cmake-pep257 <!nocheck>, ros-galactic-ament-cmake-uncrustify <!nocheck>, ros-galactic-ament-cmake-xmllint <!nocheck>, ros-galactic-ament-lint-auto <!nocheck>, ros-galactic-angles, ros-galactic-control-msgs, ros-galactic-geometry-msgs, ros-galactic-irobot-create-msgs, ros-galactic-irobot-create-toolbox, ros-galactic-nav-msgs, ros-galactic-rclcpp, ros-galactic-rclcpp-action, ros-galactic-rclcpp-components, ros-galactic-sensor-msgs, ros-galactic-tf2, ros-galactic-tf2-geometry-msgs, ros-galactic-tf2-ros, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-irobot-create-nodes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-galactic-angles, ros-galactic-control-msgs, ros-galactic-geometry-msgs, ros-galactic-irobot-create-msgs, ros-galactic-irobot-create-toolbox, ros-galactic-nav-msgs, ros-galactic-rclcpp, ros-galactic-rclcpp-action, ros-galactic-rclcpp-components, ros-galactic-sensor-msgs, ros-galactic-tf2, ros-galactic-tf2-geometry-msgs, ros-galactic-tf2-ros, ros-galactic-ros-workspace
Description: ROS 2 Nodes for the simulated iRobot(R) Create(R) 3 Educational Robot.
